Subject: [Sipping] NAPTR and SRV

From: [email-masked]
Date: Fri, 11 Feb 2005 11:30:54 +0530 (IST)

Hi all,

I am a newbie to dns. I need to perform dns query to get the ip address
and port of the destination. In res_query, if I give qtype as 1, i am able
to get the ip address. But how to do naptr and srv queries to get port no.

I referred RFCs relevant to this and none tells about how to form these
queries.

Can anybody help me in sending query/receiving responses.

Are there any downloadable code from net for performing these queries.

The task is very urgent

Thanks and regards,
B.Suganya

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Frank Shearar" <[email-masked]>
Date: Fri, 11 Feb 2005 09:23:52 -0000

> Can anybody help me in sending query/receiving responses.

SRV: RFC 2782
NAPTR: RFC 2915
SIP Locating SIP Services: RFC 3263

The first two tell you how to construct the queries; the latter how to use them for SIP.

As to code, maybe look at the source for the dig program. dig(1), part of bind, comes shipped as standard with at least FreeBSD (and probably most other unix-like OSes). Otherwise, you can find dig in here: ftp://ftp.isc.org/isc/bind9/9.3.0/bind-9.3.0.tar.gz

frank

*******************************************************************
This email and attachments (if any) must be swept for viruses before opening. Their contents may be confidential or privileged and are intended solely for the named recipient. If you are not the intended recipient and you have received this email in error you must not read or use this email and should notify RNID on: +44 (0) 20 7296 8282.

RNID, Registered Office 19-23 Featherstone Street, London EC1Y 8SL No. 454169 (England, Registered Charity No. 207720)

********************************************************************

---

From: "Stastny Richard" <[email-masked]>
Date: Fri, 11 Feb 2005 14:29:06 +0100

Jim wrote:
>Sounds like somebody should write up an I-D. Which WG? This one? ENUM?
>DNSOPS?

Good idea: a BCP. Since this has nothing to do with ENUM, it
should either be SIP or Sipping, or DNSOPS. Something one
can point without going through 12 RFCs

Title: How to point to your SIP AoR in DNS

Richard

---

From: "Stastny Richard" <[email-masked]>
Date: Fri, 11 Feb 2005 17:06:41 +0100

>In that case, DNS-MODA would be happy to publish this BCP. Any
>volunteers to write this up? It would be even better if this was an
>incentive for some organisations to join DNS-MODA. :-)

I think your and Lawrence's text is a good starter. Maybe also one or
two of  Michael's menials (experts) could be helpful ;-)
 
Richard